Appointments
GET /appointments/{appointmentId}/me
Get current consumer booking for this appointment
GET
/
appointments
/
{appointmentId}
/
me
cURL
curl --request GET \
--url https://consumer.fanfare.io/api/appointments/{appointmentId}/meconst options = {method: 'GET'};
fetch('https://consumer.fanfare.io/api/appointments/{appointmentId}/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/appointments/{appointmentId}/me"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/appointments/{appointmentId}/me"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"booking": {
"appointmentId": "<string>",
"bookingId": "<string>",
"confirmationCode": "<string>",
"consumerId": "<string>",
"status": "<string>",
"endTime": "<string>",
"locationId": "<string>",
"locationName": "<string>",
"slotId": "<string>",
"startTime": "<string>"
}
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}⌘I
cURL
curl --request GET \
--url https://consumer.fanfare.io/api/appointments/{appointmentId}/meconst options = {method: 'GET'};
fetch('https://consumer.fanfare.io/api/appointments/{appointmentId}/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/appointments/{appointmentId}/me"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/appointments/{appointmentId}/me"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"booking": {
"appointmentId": "<string>",
"bookingId": "<string>",
"confirmationCode": "<string>",
"consumerId": "<string>",
"status": "<string>",
"endTime": "<string>",
"locationId": "<string>",
"locationName": "<string>",
"slotId": "<string>",
"startTime": "<string>"
}
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}